#! /usr/bin/perl -w
#
# Convert pre-1.0 yapfaq status file to new format
# 
# Usage: convert.pl < old.txt.cfg > new.cfg

while (<>) {
  if (/Lastpost/) {
    $_ =~ /Lastpost:\s(\d\d?\.\d\d?\.\d\d\d\d)/;
    print "Last-Posted: $1\n";
  }
  if (/LastMID/) {
    $_ =~ /LastMID:\s(<[^>]+>)/;
    print "Last-Message-ID: $1\n";
  }
}
